CVE-2021-41072

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

squashfs_opendir in unsquash-2.c in Squashfs-Tools 4.5 allows Directory Traversal, a different vulnerability than CVE-2021-40153. A squashfs filesystem that has been crafted to include a symbolic link and then contents under the same filename in a filesystem can cause unsquashfs to first create the symbolic link pointing outside the expected directory, and then the subsequent write operation will cause the unsquashfs process to write through the symbolic link elsewhere in the filesystem.

References

https://github.com/plougher/squashfs-tools/issues/72#issuecomment-913833405

https://github.com/plougher/squashfs-tools/commit/e0485802ec72996c20026da320650d8362f555bd

https://www.debian.org/security/2021/dsa-4987

https://lists.debian.org/debian-lts-announce/2021/10/msg00017.html

Details

Source: MITRE

Published: 2021-09-14

Updated: 2021-11-05

Type: CWE-59

Risk Information

CVSS v2

Base Score: 5.8

Vector: AV:N/AC:M/Au:N/C:N/I:P/A:P

Impact Score: 4.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 8.1

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:H

Impact Score: 5.2

Exploitability Score: 2.8

Severity: HIGH

Tenable Plugins

View all (7 total)

IDNameProductFamilySeverity
156438EulerOS 2.0 SP5 : squashfs-tools (EulerOS-SA-2021-2936)NessusHuawei Local Security Checks
high
156293EulerOS 2.0 SP8 : squashfs-tools (EulerOS-SA-2021-2814)NessusHuawei Local Security Checks
high
154331Debian DLA-2789-1 : squashfs-tools - LTS security updateNessusDebian Local Security Checks
high
154178Debian DSA-4987-1 : squashfs-tools - security updateNessusDebian Local Security Checks
high
154053Ubuntu 20.04 LTS / 21.04 : Squashfs-Tools vulnerability (USN-5078-3)NessusUbuntu Local Security Checks
high
153408Ubuntu 16.04 LTS : Squashfs-Tools vulnerabilities (USN-5078-2)NessusUbuntu Local Security Checks
high
153391Ubuntu 18.04 LTS / 20.04 LTS / 21.04 : Squashfs-Tools vulnerability (USN-5078-1)NessusUbuntu Local Security Checks
high